QGIS Application - Feature request #16734
Per-layer option to display only legend items visible on current map to composer legend
2017-06-20 11:17 PM - Nikolay Lebedev

Status: Feedback

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 24633
Description

This checkbox is already there for atlas features. Legend displays only features visible on current atlas page. Since legend item has a
"Map" property, linking it to a particular map, this should be an easy fix.

History

#1 - 2017-06-21 07:35 AM - Nyall Dawson
- Status changed from Open to Feedback

What about the green "funnel" icon? If | understand correctly this is what you're trying to do.

#2 - 2017-07-03 10:25 PM - Nikolay Lebedev

Yes it works, thanks Nyall, haven't noticed it in the first place. But | need it to work on a per-layer basis, not for all layers in the legend at once. Should |

open a new feature request for that?

#3 - 2017-07-04 02:57 AM - Nyall Dawson
- Subject changed from Add an option to display only legend items visible on current map to composer legend to Per-layer option to display only legend

items visible on current map to composer legend

Updated description
